Skip to content

Data Connector Execution Result

An execution result from a data connector HTTP request.

typestring

The type of object - data_connector.execution.

Value:"data_connector.execution"
Example:"data_connector.execution"
idstring

The unique identifier for the execution result.

Example:"99001"
data_connector_idstring

The unique identifier of the data connector that produced this result.

Example:"12345"
successboolean

Whether the execution was successful.

Example:true
http_statusinteger or null

The HTTP status code returned by the external API.

Example:200
http_methodstring

The HTTP method used for the request.

Enum:"get""post""put""delete""patch"
Example:"post"
error_typestring or null

The type of error that occurred, if any.

Enum:"request_configuration_error""faraday_error""3rd_party_error""response_mapping_error""token_refresh_error""fin_action_response_formatting_error""fin_action_identity_verification_error""email_verification_error""non_fin_standalone_action_identity_verification_error""request_validation_error"
Example:"3rd_party_error"
error_messagestring or null

A human-readable error message. Query parameters, userinfo, and fragments in URLs are redacted.

Example:"Connection refused"
execution_time_msinteger or null

The execution time in milliseconds.

Example:245
source_typestring or null

The type of source that triggered this execution.

Enum:"custom_bot""inbound_custom_bot""button_custom_bot""answer""workflow""saved_reply""triggerable_custom_bot""inbox""fin"
Example:"workflow"
source_idstring or null

The identifier of the source that triggered this execution.

Example:"5001"
conversation_idstring or null

The conversation associated with this execution, if any.

Example:"8001"
created_atstring, (date-time)

The time the execution occurred.

Example:"2026-02-10T18:15:32Z"
request_urlstring or null

The request URL. Query parameters, userinfo, and fragments are redacted.

Example:"https://api.example.com/webhook"
request_bodystring or null

The request body sent to the external API.

Example:"{\"message\": \"hello\"}"
response_bodystring or null

The response body from the external API.

Example:"{\"status\": \"ok\"}"
raw_response_bodystring or null

The raw (unmapped) response body.

Example:"{\"status\": \"ok\"}"
{ "type": "data_connector.execution", "id": "99001", "data_connector_id": "12345", "success": true, "http_status": 200, "http_method": "post", "error_type": "3rd_party_error", "error_message": "Connection refused", "execution_time_ms": 245, "source_type": "workflow", "source_id": "5001", "conversation_id": "8001", "created_at": "2026-02-10T18:15:32Z", "request_url": "https://api.example.com/webhook", "request_body": "{\"message\": \"hello\"}", "response_body": "{\"status\": \"ok\"}", "raw_response_body": "{\"status\": \"ok\"}" }